lp:~kubuntu-packagers/kubuntu-packaging/qtcreator

Created by Timo Jyrinki on 2013-03-19 and last modified on 2016-11-15
Get this branch:
bzr branch lp:~kubuntu-packagers/kubuntu-packaging/qtcreator
Members of Kubuntu Packagers can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Kubuntu Packagers
Project:
kubuntu-packaging
Status:
Development

Recent revisions

180. By Timo Jyrinki on 2016-11-15

* Make qtcreator depend upon qml-module-qtqml-models2 (Closes: #843395).
  Thanks Oswald Buddenhagen for the bug report!
* New upstream version. Merge with Debian.
* Do not require clang support on archs that do not have it.
* Do not build clang support on armel (Closes: #839791). Thanks Emilio for
  the bug!
* Switch to libclang-dev, which currently depends on libclang-3.8-dev.
  Listing both versions of libclang-3.*-dev is futile as buildds will
  only consider the first one.
* New upstream version
* Re-enable QBS plugin
* New upstream version
  + added the Flat Dark and Flat Light themes
    (Environment > Interface > Theme settings)
  + editted files are now loaded on visibility instead of all on
    session resumption
  + improved overall performance of Qt Quick designer
  + improved performance of QML Profiler
  + option to turn off automatic running of CMake per configured tool
  + experimental support for the Nim programming language (in plugins)
  + c++: added separate highlighting for function declarations and usages
  + c++: added highlighting option for global variables
  + added support for TCP/IP forward tunneling with SSH
* fix_build_on_ppc.patch removed, upstreamed
* Refreshed patches
* Bump Clang dependency to 3.8
* Temporarily disable QBS
* New upstream version
  + cmake: resolve symlinks when comparing source directories
  + Clang: Fix dot-arrow-correction for zero results
  + Clang: Fix dot-arrow-correction for not-yet-parsed unsaved content
  + ProjectExplorer: Fix comparison with default-constructed Runnables
  + Depend on qbs 1.5.2
* Update Qt build requirements to 5.5.x

179. By Timo Jyrinki on 2016-07-26

Rebuild for Qt 5.6.1.

178. By Timo Jyrinki on 2016-07-25

Publish 4.0.2-1ubuntu1~9 to yakkety

177. By Timo Jyrinki on 2016-07-25

* Conflict with qtcreator-plugin-ubuntu (and -go) and offer a transitional
  package. Ubuntu SDK is now distributed separately, see
  http://developer.ubuntu.com/ for more information. (LP: #1604744)
* debian/ubuntu-sdk-migration.note: Offer a graphical note when upgrading
  from old qtcreator-plugin-ubuntu.

176. By Timo Jyrinki on 2016-07-21

Conflict with qtcreator-plugin-ubuntu and offer a transitional package.
Ubuntu SDK is now distributed separately, see http://developer.ubuntu.com/
for more information.

175. By Timo Jyrinki on 2016-07-20

QtCreator 4.0.2 and merged fixes from Debian.

174. By Timo Jyrinki on 2016-05-30

Rebase skip_failing_unit_tests.diff Ubuntu patch

173. By Timo Jyrinki on 2016-05-30

4.0.0, no Ubuntu plugin required patches yet.

172. By Timo Jyrinki on 2016-05-25

Merge with Debian unreleased 4.0.0 packaging.

* New upstream release.
[ Lisandro Damián Nicanor Pérez Meyer ]
* New upstream release.
  - Bump qbs-dev to 1.5.0.
* Instruct uscan to repack the original source with xz compression.
* Remove 02_use_x-terminal-emulator.diff, already present upstream.
* Refresh botan_system_lib.diff.
* Add qmlscene and qt5-qmltooling-plugins as a qtcreator recommendations
  (Closes: #824334).
* Update debian/copyright.
* Update Homepage and Vcs-* fields to use secure URLs.
* Update Standards-Version to 3.9.8, no changes required.
* Update install files.
* Make qtcreator recommend clang, as it has added quite interesting tools
  that use it.

171. By Timo Jyrinki on 2016-05-09

New upstream release candidate.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
This branch contains Public information 
Everyone can see this information.